# Class ColorConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a configuration that defines color-related settings or values.

    public class ColorConfig

Inheritance
  object
  ColorConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Arrow

    public ColorConfig.ArrowColors? Arrow { get; set; }

#### Property Value

ColorConfig.ArrowColors

### BoxNumber

    public ColorConfig.StatusBoxNumberColors? BoxNumber { get; set; }

#### Property Value

ColorConfig.StatusBoxNumberColors

### BoxStatusColor

    public ColorConfig.StatusBoxNumberColors? BoxStatusColor { get; set; }

#### Property Value

ColorConfig.StatusBoxNumberColors

### Graph

    public ColorConfig.GraphColors? Graph { get; set; }

#### Property Value

ColorConfig.GraphColors

### Indicator

    public ColorConfig.IndicatorColors? Indicator { get; set; }

#### Property Value

ColorConfig.IndicatorColors

### Level

    public ColorConfig.LevelColors? Level { get; set; }

#### Property Value

ColorConfig.LevelColors

### Procedure

    public ColorConfig.ProcedureColors? Procedure { get; set; }

#### Property Value

ColorConfig.ProcedureColors

### Test

    public ColorConfig.TestColors? Test { get; set; }

#### Property Value

ColorConfig.TestColors

### Text

    public ColorConfig.TextColors? Text { get; set; }

#### Property Value

ColorConfig.TextColors

### Therapy

    public ColorConfig.TherapyColors? Therapy { get; set; }

#### Property Value

ColorConfig.TherapyColors